tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class ChatItem

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.xep0136.ChatItem

-     public class ChatItem
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChatItem.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatItem(ChatItem.Type type, Date date, String body, Element item)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBody()`
    `Date` | `getDate()`
    `Element` | `getItem()`
    `ChatItem.Type` | `getType()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChatItem

          public ChatItem(ChatItem.Type type,
                          Date date,
                          String body,
                          Element item)

  - ### Method Detail

    - #### getBody

          public String getBody()

    - #### getDate

          public Date getDate()

    - #### getItem

          public Element getItem()

    - #### getType

          public ChatItem.Type getType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.